<?php 
	$gs_nws=array();
	
	function news_for_public($line)
	//проверяет , разрешена ли статья для публикации
	{$result=1;
		$news_public=array();global $catalog;
		if (is_file($catalog."/admin/db/public.txt"))
		{
			$news_public=file($catalog."/admin/db/public.txt"); // черный список публикации
			for($n=0;$n<count($news_public);$n++) {
				$news_public[$n]=trim($news_public[$n]);
				if($news_public[$n]==$line) {$result=0;break;}
			}
		} 	return $result;
	}		
	
	if (!isset($root1)){ $root1='';
		for ($x=1; $x<count(explode ('/',$_SERVER['PHP_SELF'])); $x++) 
		{if (is_dir($root1.'sg_cm/content')) break;
		$root1.='../';}}
if (!is_dir($root1.'sg_cm/content')) exit("не найдена папка content");?>
<link rel="stylesheet" type="text/css"  href="<? echo $root1;?>sg_cm/css/site_tinymce.css" media="screen, print">
<link rel="stylesheet" type="text/css" href="<? echo $root1;?>sg_cm/css/jquery.lightbox-0.5.css" media="screen" /> 
<script type="text/javascript" src="<? echo $root1;?>sg_cm/js/jquery.lightbox-0.5.min.js"></script>
<script type="text/javascript">
	// инициализация лайт-бокс
	$(function() {
		$('.gallery a, .sg_gallery a, a.gallery, a.sg_gallery, a[rel*=sg_gallery]').lightBox(
		{
			overlayBgColor:'#000',overlayOpacity:0.8,fixedNavigation:false,
			imageLoading:'<? echo $root1;?>sg_cm/images/lightbox-ico-loading.gif',
			imageBtnPrev:'<? echo $root1;?>sg_cm/images/lightbox-btn-prev.gif',
			imageBtnNext:'<? echo $root1;?>sg_cm/images/lightbox-btn-next.gif',
			imageBtnClose:'<? echo $root1;?>sg_cm/images/lightbox-btn-close.gif',
			imageBlank:'<? echo $root1;?>sg_cm/images/lightbox-blank.gif',
			containerBorderSize:10,
			containerResizeSpeed:400,
			txtImage:'Фото',txtOf:'из'		
		}
		); // Select all links in object with sg_gallery class
	});
</script>
<style  type="text/css"> 
	.imHTMLObject {
	height: auto !important;}
</style>
<?php
	// путь к контенту
	$contp=$root1."sg_cm/content/";
	//ini_set('display_errors', 1); 
	//error_reporting(E_ALL);
	// путь к файлу с контентом ; 
	if (!isset($phpself_array) || $phpself_array==''){ 
		$phpself_array= explode("/",$_SERVER['PHP_SELF']); 
		$pos = strpos($phpself_array[count($phpself_array)-1], ".");
		if ($pos===false) $stranica=$phpself_array[count($phpself_array)-1];
	else $stranica = substr($phpself_array[count($phpself_array)-1], 0, $pos); }
	$stranica2=$stranica;
	for ($x=1; $x<count(explode('/',$root1)); $x++) 
	{$stranica2=$phpself_array[count($phpself_array)-$x-1].'/'.$stranica2;} 
	
	if (is_file($contp.$stranica2.'/css.css')){
	echo '<link rel="stylesheet" type="text/css"  href="'.$contp.$stranica2.'/css.css" media="screen, print">'."\r\n";}
	$cp=$contp.$stranica2."/" ;//    для вставки блоков на страницу сайта из одноименной подпапки в папке content
	$ck=$contp; //   для вставки блоков контента на произвольную страницу из корня папки content
	if (!is_dir($cp)){
		$cdir=getcwd();
		chdir($contp);
		$pages=glob('{*,*/*,*/*/*,*/*/*/*}', GLOB_ONLYDIR|GLOB_BRACE);
		foreach ( $pages as $p) 
		{ if (basename($p)== $stranica) {$cp=$contp.$p."/" ; break;}
		}
		chdir($cdir);
	}
	
	if (isset($tegHead)) echo $tegHead."\r\n" ;
	
	
	// функция вывода картинок из фотоальбомов 
	function img($gallery_name){ $n=0; global $root1;
		$uploads=$root1."sg_cm/upload/gs_foto/";
		$foto=file($uploads.'db/id_foto/'.$gallery_name);
		$headers = array ('0' => 'num', '1' => 'img', '2' => 'title','3' => 'descr','4' => 'link','5' => 'effect','6' => 'r2', '7' => 'thumb', '8' => 'w', '9' => 'h', '10' => 'wh', '11' => 'whs' ); 
		foreach($foto as $line){ global $maxW, $maxH; 
			$maxW=$maxW+0;$maxH=$maxH+0; 
			$content[$n]=explode('*:*',rtrim($line)); $content[$n][7]= str_replace('.','_thumb.',$content[$n][1]);
			if(strpos($content[$n][1],'/')===false) // если нет слеша, то это картинка , загруженная в галерею с компа
			$content[$n][1]=$uploads.$content[$n][1]; // путь к большой картинке
			else $content[$n][1]=$root1.$content[$n][1]; // путь к большой картинке если она загружена в галерею добавлением ссылки
			$wh=getimagesize($content[$n][1]); 
			if(strpos($content[$n][7],'/')===false) // если нет слеша, то это картинка , загруженная в галерею с компа
			$content[$n][7]=$uploads.$content[$n][7]; // путь к маленькой картинке 
			else $content[$n][7]=$root1.$content[$n][7]; // путь к маленькой картинке 
			$ratio=$wh[0]/$wh[1];
			if($wh[0]>$maxW && $maxW!=0){$wh[0]=$maxW;$wh[1]=round($wh[0]/$ratio); }
			if($wh[1]>$maxH && $maxH!=0){$wh[1]=$maxH;$wh[0]=round($wh[1]*$ratio); }
			$content[$n][8]=$wh[0];$content[$n][9]=$wh[1]; // ширина и высота 
			$content[$n][10]='width="'.$wh[0].'", height="'.$wh[1].'"'; // строка  height="yyy" width="xxx" для использования в теге img
			$content[$n][11]='width: '.$wh[0].' , height: '.$wh[1]; // ширина и высота - строка вида width: 476, height: 484 для использования яваскрипте
			foreach($content[$n] as $key=>$v){ $images[$n][$headers[$key]]=$v;} $n++;
		}
		return $images;
	}
	
	
	// функции вывода текста и заголовка блока
	
	function bz($dir) {
		if (substr($dir, 0, 3)=='hs_')
		{ include($dir.'/admin/db/zagl');
			echo $zagl;
		}
		elseif (is_file($dir))
		{ $text=file_get_contents($dir);
			$textE = explode("**:***:*:", $text);
			$textZ = $textE[0];
			echo $textZ;
			$GLOBALS['textS']=$textE[1];
			$GLOBALS['dirS']=$dir;
		}
		else {
			return false;
		}
	}
	
	function blocktxt($dir) { global $root1; global $gs_nws;
		if (is_file($dir))
		{  
			if (isset($GLOBALS['dirS']) && $dir==$GLOBALS['dirS']) 
			{ 
			if 	(strpos($GLOBALS['textS'],'?>') || strpos($GLOBALS['textS'],':]]')){
			$GtextS = str_replace(':]]',';?>',$GLOBALS['textS']); $GtextS = str_replace('[[:','<? echo',$GtextS);
					$text4_arr1=explode('?>',$GtextS);
					foreach($text4_arr1 as $k=>$v){
						$text4_arr2=explode('<?',$v);
						echo $text4_arr2[0]; 
						if (array_key_exists ( 1 ,$text4_arr2 )&& strlen($text4_arr2[1])<66
						&& (strpos($text4_arr2[1],'upload/gs_foto/set')!==false || strpos($text4_arr2[1],'$gs_nws[')!==false)) {
							if (substr($text4_arr2[1],0,3)=='php'){$text4_arr2[1]=substr_replace($text4_arr2[1],'',0,3);} 
						eval(trim($text4_arr2[1]));}
					} 
				} 
				else echo $GLOBALS['textS']; 
			}
			else 
			{ 
				$text=file_get_contents($dir);
				$textE = explode("**:***:*:", $text);
				$textS = $textE[1];
				if 	(strpos($textS,'?>') || strpos($textS,':]]')){
				$GtextS = str_replace(':]]',';?>',$textS); $GtextS = str_replace('[[:','<? echo',$GtextS);
					$text4_arr1=explode('?>',$GtextS);
					foreach($text4_arr1 as $k=>$v){
						$text4_arr2=explode('<?',$v);
						echo $text4_arr2[0]; 
						if (array_key_exists ( 1 ,$text4_arr2 )&& strlen($text4_arr2[1])<66
						&& (strpos($text4_arr2[1],'upload/gs_foto/set')!==false || strpos($text4_arr2[1],'$gs_nws[')!==false)) {
							if (substr($text4_arr2[1],0,3)=='php'){$text4_arr2[1]=substr_replace($text4_arr2[1],'',0,3);} 
						eval(trim($text4_arr2[1]));}
					}
				}	
				else echo $textS;
				
			}}
			else{
				return false;
			}
	}
	
	
?>